Bug 492358 - Crash at main.c:186 when changed
Crash at main.c:186 when changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glade3 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 11:56 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-26 11:56:24 EDT
Description of problem:

I played with /usr/share/krb5-auth-dialog/krb5-auth-dialog.glade, this was the first time I opened glade (no /home/newman/.config/glade-3.conf). I added "Text Entry" in line with two buttons in the form, changed it "Invisible Char Set" to "Yes" and "Primary Icon Tooltip Markup" to "<b>sdsd</b>. Then opened Preferences and hit "2.8" twice, it took some time and then crashed wit following backtrace. 

I tried to make it as reproducible as possible but was not able to do so.


[New Thread 21677]
Core was generated by `glade-3 /usr/share/krb5-auth-dialog/krb5-auth-dialog.glade'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000371dc76370 in IA__gtk_widget_hide (widget=0xaaaaaaaaaaaaaaaa)
    at gtkwidget.c:3080
3080	  g_return_if_fail (GTK_IS_WIDGET (widget));
#0  0x000000371dc76370 in IA__gtk_widget_hide (widget=0xaaaaaaaaaaaaaaaa)
    at gtkwidget.c:3080
#1  0x00007f964b948de4 in glade_editor_update_class_warning_cb (
    widget=0x20375b0, pspec=0x11d12b0, editor=0x119d3f0) at glade-editor.c:318
#2  0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0x22fd540, 
    return_value=0x0, n_param_values=2, param_values=0x1af7b20, 
    invocation_hint=0x7fff53b9c610) at gclosure.c:767
#3  0x0000003b6ae21f18 in signal_emit_unlocked_R (node=0xfdbfe0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3244
#4  0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x20375b0, 
    signal_id=<value optimized out>, detail=2410, var_args=0x7fff53b9c800)
    at gsignal.c:2977
#5  0x0000003b6ae23893 in IA__g_signal_emit (instance=0xaaaaaaaaaaaaaaaa, 
    signal_id=18682544, detail=18469872) at gsignal.c:3034
#6  0x0000003b6ae0fab9 in g_object_dispatch_properties_changed (
    object=0x20375b0, n_pspecs=1, pspecs=<value optimized out>)
    at gobject.c:770
#7  0x0000003b6ae117a7 in g_object_notify_queue_thaw (
    nqueue=<value optimized out>, object=<value optimized out>)
    at gobjectnotifyqueue.c:125
#8  IA__g_object_notify (nqueue=<value optimized out>, 
    object=<value optimized out>) at gobject.c:857
#9  0x00007f964b9187c7 in glade_project_verify_project_for_ui (
    project=0x15a16c0) at glade-project.c:2119
#10 0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0x11dae00, 
    return_value=0x0, n_param_values=1, param_values=0x2338460, 
    invocation_hint=0x7fff53b9cb40) at gclosure.c:767
#11 0x0000003b6ae21f18 in signal_emit_unlocked_R (node=0x1018220, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3244
#12 0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x12186a0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff53b9cd30)
    at gsignal.c:2977
#13 0x0000003b6ae23893 in IA__g_signal_emit (instance=0xaaaaaaaaaaaaaaaa, 
    signal_id=18682544, detail=18469872) at gsignal.c:3034
#14 0x000000371db89203 in gtk_radio_button_clicked (button=0x122a5e0)
    at gtkradiobutton.c:629
#15 0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0x101c3b0, 
    return_value=0x0, n_param_values=1, param_values=0x2302800, 
    invocation_hint=0x7fff53b9cf90) at gclosure.c:767
#16 0x0000003b6ae21715 in signal_emit_unlocked_R (node=0x1018220, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3174
#17 0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x122a5e0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff53b9d180)
    at gsignal.c:2977
#18 0x0000003b6ae23893 in IA__g_signal_emit (instance=0xaaaaaaaaaaaaaaaa, 
    signal_id=18682544, detail=18469872) at gsignal.c:3034
#19 0x000000371dc1894d in gtk_toggle_button_released (
    button=0xaaaaaaaaaaaaaaaa) at gtktogglebutton.c:485
#20 0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0x1018c40, 
    return_value=0x0, n_param_values=1, param_values=0x1d55120, 
    invocation_hint=0x7fff53b9d3b0) at gclosure.c:767
#21 0x0000003b6ae21715 in signal_emit_unlocked_R (node=0x101c3e0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3174
#22 0x0000003b6ae232fe in IA__g_signal_emit_valist (instance=0x122a5e0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff53b9d5a0)
    at gsignal.c:2977
#23 0x0000003b6ae23893 in IA__g_signal_emit (instance=0xaaaaaaaaaaaaaaaa, 
    signal_id=18682544, detail=18469872) at gsignal.c:3034
#24 0x000000371da894d7 in gtk_button_button_release (
    widget=<value optimized out>, event=<value optimized out>)
    at gtkbutton.c:1594
#25 0x000000371db4b713 in _gtk_marshal_BOOLEAN__BOXED (closure=0xffb670, 
    return_value=0x7fff53b9d860, n_param_values=<value optimized out>, 
    param_values=0x22fa460, invocation_hint=<value optimized out>, 
    marshal_data=0x371da894a0) at gtkmarshalers.c:84
#26 0x0000003b6ae0b8ee in IA__g_closure_invoke (closure=0xffb670, 
    return_value=0x7fff53b9d860, n_param_values=2, param_values=0x22fa460, 
    invocation_hint=0x7fff53b9d820) at gclosure.c:767
#27 0x0000003b6ae21bd0 in signal_emit_unlocked_R (node=0xffb6e0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3282
#28 0x0000003b6ae231be in IA__g_signal_emit_valist (instance=0x122a5e0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff53b9da10)
    at gsignal.c:2987
#29 0x0000003b6ae23893 in IA__g_signal_emit (instance=0xaaaaaaaaaaaaaaaa, 
    signal_id=18682544, detail=18469872) at gsignal.c:3034
#30 0x000000371dc6b9bf in gtk_widget_event_internal (widget=0x122a5e0, 
    event=0x20a1250) at gtkwidget.c:4761
#31 0x000000371db42875 in IA__gtk_propagate_event (widget=0x122a5e0, 
    event=0x20a1250) at gtkmain.c:2396
#32 0x000000371db439cb in IA__gtk_main_do_event (event=0x20a1250)
    at gtkmain.c:1601
#33 0x000000371f25322c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2364
#34 0x0000003b6aa3811e in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#35 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#36 0x0000003b6aa3b878 in g_main_context_iterate (context=0xff7b60, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2448
#37 0x0000003b6aa3bd15 in IA__g_main_loop_run (loop=0x19b06c0) at gmain.c:2656
#38 0x000000371db43f47 in IA__gtk_main () at gtkmain.c:1205
#39 0x000000000040da25 in main (argc=1, argv=0x7fff53b9dea8) at main.c:186


Version-Release number of selected component (if applicable):

glade3-3.5.7-2.fc11.x86_64
krb5-auth-dialog-0.8-3.fc11.x86_64

Also bunch of GTK+ warning is emitted:

newman@dhcp-lab-124 UMT-1.0 $ glade-3 /usr/share/krb5-auth-dialog/krb5-auth-dialog.glade
GladeUI-Message: No displayable values for property GtkScaleButton::size
GladeUI-Message: No displayable values for property GtkImage::icon-size

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-sizegroup' was found for object class 'GtkSizeGroup'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-accelgroup' was found for object class 'GtkAccelGroup'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-adjustment' was found for object class 'GtkAdjustment'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-uimanager' was found for object class 'GtkUIManager'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-treemodelfilter' was found for object class 'GtkTreeModelFilter'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-treemodelsort' was found for object class 'GtkTreeModelSort'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-treeselection' was found for object class 'GtkTreeSelection'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-statusicon' was found for object class 'GtkStatusIcon'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-textbuffer' was found for object class 'GtkTextBuffer'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-texttag' was found for object class 'GtkTextTag'.
GladeUI-Message: No displayable values for property GtkTextTag::direction

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-texttagtable' was found for object class 'GtkTextTagTable'.

(glade-3:21768): GladeUI-WARNING **: No icon named 'widget-gtk-filefilter' was found for object class 'GtkFileFilter'.
GladeUI-Message: 1 missing displayable value for GnomeDateEdit::dateedit-flags
GladeUI-Message: No displayable values for property GnomeIconList::selection-mode
GladeUI-Message: No DevHelp installed on your system, devhelp feature will be disabled.

(glade-3:21768): GLib-GObject-CRITICAL **: g_value_get_int: assertion `G_VALUE_HOLDS_INT (value)' failed

(glade-3:21768): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
Comment 1 Debarshi Ray 2009-04-07 00:13:26 EDT
Does Glade 3.6.1 work for you?
http://koji.fedoraproject.org/koji/taskinfo?taskID=1281475

In the meantime I will try to setup a fresh Fedora 11 Beta VM.
Comment 2 Michal Nowak 2009-04-08 05:46:39 EDT
The crash is likely gone but can be something done with the plentheora of GTK+ warnings?

newman@dhcp-lab-124 ~ $ glade-3 
GladeUI-Message: No displayable values for property GtkScaleButton::size
GladeUI-Message: No displayable values for property GtkImage::icon-size

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-sizegroup' was found for object class 'GtkSizeGroup'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-accelgroup' was found for object class 'GtkAccelGroup'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-adjustment' was found for object class 'GtkAdjustment'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-uimanager' was found for object class 'GtkUIManager'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-treemodelfilter' was found for object class 'GtkTreeModelFilter'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-treemodelsort' was found for object class 'GtkTreeModelSort'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-treeselection' was found for object class 'GtkTreeSelection'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-statusicon' was found for object class 'GtkStatusIcon'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-textbuffer' was found for object class 'GtkTextBuffer'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-texttag' was found for object class 'GtkTextTag'.
GladeUI-Message: No displayable values for property GtkTextTag::direction

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-texttagtable' was found for object class 'GtkTextTagTable'.

(glade-3:13360): GladeUI-WARNING **: No icon named 'widget-gtk-filefilter' was found for object class 'GtkFileFilter'.
GladeUI-Message: 1 missing displayable value for GnomeDateEdit::dateedit-flags
GladeUI-Message: No displayable values for property GnomeIconList::selection-mode
GladeUI-Message: No DevHelp installed on your system, devhelp feature will be disabled.
Comment 3 Bug Zapper 2009-06-09 08:39:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:19:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:34:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.